Samba4 with ZFS

A little article which can save you

Samba needs ACLs support. With samba 3.5-3.6 it’s possible to ignore this, but with samba4 it’s quite difficult. When you have installed samba4, you would see that samba4 doesn’t want to initialize AD base without ACLs (for UFS just use acls option). I haven’t found any solution on the internet but samba-tool man helps me to fix this problem.

Here is the arguments to add to samba-tool to use vfs ACLs instead of ZFS acls.

samba-tool domain provision --use-xattrs=yes --use-ntvfs --interactive

Now you can trash your active directory :)